import babel from "rollup-plugin-babel";
import commonjs from "@rollup/plugin-commonjs";
import nodeResolve from "@rollup/plugin-node-resolve";
import { uglify } from "rollup-plugin-uglify";
const extensions = [".js", ".ts"];
export default {
  input: "./src/index.js",
  output: {
    file: "./lib/index.js",
    name: "compatible-json-diff",
    format: "umd",
  },
  plugins: [babel(), nodeResolve({ extensions }), commonjs(), , uglify()],
};
