// npm  i compatible-json-diff
import React from "react";
import { createDiffViewer } from "compatible-json-diff";

class App extends React.Component {
  componentDidMount() {
    if (this.diffRef) {
      const { render, unmount } = createDiffViewer(this.diffRef);
      this.unmount = unmount;
      // diffProps是react-diff-viewer的api对象，可以自行拓展
      const diffProps = { oldValue, newValue };
      render(diffProps);
    }
  }
  componentWillUnmount() {
    this.unmount && this.unmount();
  }
  render() {
    return <div ref={(ref) => (this.diffRef = ref)}></div>;
  }
}
